- Partially updates a abstract submission process with the specified ID.
This method will patch an existing abstract submission process with the specified ID, using the HTTP PATCH specification.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstractSubmissionProcesses/{tenantId}/{id}
- https://events.api.rhythmsoftware.comhttps://events.api.rhythmsoftware.com/abstractSubmissionProcesses/{tenantId}/{id}
curl -i -X PATCH \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstractSubmissionProcesses/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"op": "add",
"path": "string",
"value": "string"
}
]'The abstract submission process was patched successfully.
The email to send when the application is received
Whether or not an email should be sent when the application is received
The maximum number of submission per contact
Maximum number of words allowed to be input into the body field in the abstract form
The maximum number of session tracks that an abstract can be submitted for
UI options for how to add the abstract submitter
UI options for how the add co-authors should function
Whether or not to show an organization form. Boolean value for showing
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
{ "confirmation_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "contact_form_options": { "contact_form_id": "string", "html": "string" }, "custom_field_values": [ { … } ], "display_order": 0.1, "enable_confirmation_email": true, "event_id": "string", "id": "string", "is_active": true, "max_contact_submissions": 0.1, "max_word_count": 0.1, "maximum_number_of_co_authors": 0.1, "maximum_number_of_session_tracks": 0.1, "name": "string", "organization_form_options": { "html": "string", "organization_form_id": "string" }, "presenter_quick_add_options": {}, "quick_add_contact_options": {}, "show_contact_form": true, "show_in_portal": true, "show_organization_form": true, "submission_form_id": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }